Get a campaign by ID
curl --request GET \
--url https://api.callers.ai/campaigns/{campaignId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.callers.ai/campaigns/{campaignId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.callers.ai/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"active": true,
"firstInteractionAt": "<string>",
"completedAt": "<string>",
"callParams": {
"phonesFrom": [
"<string>"
],
"timezone": "<string>",
"daysOfWeek": [
"<string>"
],
"language": "<string>",
"approvedCountries": [
"<string>"
]
},
"organizationId": "<string>",
"webhooks": [
"<string>"
],
"slackUrl": "<string>",
"isIncoming": true,
"variables": [
"<string>"
],
"pauseNewChats": true,
"emailParams": {
"outboundConnectionIds": [
"<string>"
],
"inboundConnectionIds": [
"<string>"
],
"followUpSteps": [
{
"delayValue": 123,
"body": "<string>",
"prompt": "<string>"
}
],
"followUpRespectSchedule": true,
"followUpOnlyIfNoReply": true,
"fallbackEnabled": true,
"retryFollowUp": true,
"signature": "<string>",
"signatureName": "<string>",
"defaultSubject": "<string>",
"timezone": "<string>"
},
"incomingPhoneNumber": "<string>",
"campaignGroupId": "<string>",
"campaignGroupName": "<string>"
}
}{
"status": "error",
"message": "<string>",
"data": [
{}
]
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Campaigns
Get a campaign by ID
Get a single campaign by its ID. Returns a CampaignPublicDto.
GET
/
campaigns
/
{campaignId}
Get a campaign by ID
Authorizations
Headers
Optional sub organization ID. Must belong to your main organization API key.
Path Parameters
Id of the campaign as a string ObjectId value.
⌘I